## com.lowagie.text.pdf
Class PdfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.lowagie.text.DocumentException
                  com.lowagie.text.pdf.PdfException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BadPdfFormatException

    public class PdfException

extends DocumentException

Signals that an unspecified problem while constructing a PDF document.

See Also:
  `BadPdfFormatException`, Serialized Form

Field Summary
`private static long` `serialVersionUID`

Constructor Summary
`PdfException()` Constructs a `PdfException` without a message.
`PdfException(java.lang.Exception ex)`
`PdfException(java.lang.String message)` Constructs a `PdfException` with a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### PdfException

    public PdfException(java.lang.Exception ex)

### PdfException

    PdfException()

  Constructs a `PdfException` without a message.

### PdfException

    PdfException(java.lang.String message)

  Constructs a `PdfException` with a message.

  Parameters:
    `message` - a message describing the exception

Hosted by Hostbasket